Update Policy
curl --request PUT \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/maintenance/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"categories": [
"reliability"
],
"environments": [
"<string>"
],
"autoRemediation": {
"enabled": true,
"allowedOperationIds": [
"<string>"
],
"maxActionsPerRun": 13
},
"expectedVersion": 2
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/maintenance/policy"
payload = {
"enabled": True,
"categories": ["reliability"],
"environments": ["<string>"],
"autoRemediation": {
"enabled": True,
"allowedOperationIds": ["<string>"],
"maxActionsPerRun": 13
},
"expectedVersion": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
categories: ['reliability'],
environments: ['<string>'],
autoRemediation: {enabled: true, allowedOperationIds: ['<string>'], maxActionsPerRun: 13},
expectedVersion: 2
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/maintenance/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"categories": [
"reliability"
],
"environments": [
"<string>"
],
"autoRemediation": {
"enabled": true,
"allowedOperationIds": [
"<string>"
],
"maxActionsPerRun": 13
},
"version": 2,
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}projectMaintenance
Update Policy
Create or replace the maintenance policy. Automatic execution is restricted to an exact operation allowlist and read or write risk; elevated-risk actions still require approval.
PUT
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
maintenance
/
policy
Update Policy
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Available options:
hourly, daily, weekly Required array length:
1 elementAvailable options:
reliability Required array length:
1 - 25 elementsRequired string length:
1 - 39Show child attributes
Show child attributes
Required range:
x >= 1Response
Updated maintenance policy.
Available options:
hourly, daily, weekly Required array length:
1 elementAvailable options:
reliability Required array length:
1 - 25 elementsRequired string length:
1 - 39Show child attributes
Show child attributes
Required range:
x >= 1Required string length:
1 - 160⌘I